Skip to content
Dashboard

Update an admin assignment limit

PATCH/v2/admins/{id}/assignment-limit

Updates the admin capacity mode or paused state. mode can be inherit, custom, or unlimited. custom requires limit. Omitted fields keep their current value.

Path ParametersExpand Collapse
id: string
Header ParametersExpand Collapse
"Featurebase-Version": optional "2026-08-19.orbit" or "2026-01-01.nova" or "2025-12-12.clover"
One of the following:
"2026-08-19.orbit"
"2026-01-01.nova"
"2025-12-12.clover"
Body ParametersJSONExpand Collapse
limit: optional number
minimum1
maximum1000000
mode: optional "inherit" or "custom" or "unlimited"
One of the following:
"inherit"
"custom"
"unlimited"
paused: optional boolean
ReturnsExpand Collapse
AssignmentLimit object { adminId, effectiveLimit, limit, 3 more }
adminId: string
effectiveLimit: number
limit: number
mode: "inherit" or "custom" or "unlimited"
One of the following:
"inherit"
"custom"
"unlimited"
object: "assignment_limit"
paused: boolean

Update an admin assignment limit

curl https://do.featurebase.app/v2/admins/$ID/assignment-limit \
    -X PATCH \
    -H 'Content-Type: application/json' \
    -H "Authorization: Bearer $FEATUREBASE_API_KEY" \
    -d '{}'
{
  "adminId": "adminId",
  "effectiveLimit": 0,
  "limit": 0,
  "mode": "inherit",
  "object": "assignment_limit",
  "paused": true
}
Returns Examples
{
  "adminId": "adminId",
  "effectiveLimit": 0,
  "limit": 0,
  "mode": "inherit",
  "object": "assignment_limit",
  "paused": true
}